import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
interface SelectOptions {
    name: string;
    displayName: string;
}
interface SelectCellRendererParams extends ICellRendererParams {
    accessor: string;
    defaultValue?: string;
    options: SelectOptions[];
    onSelect: (value: string, params: SelectCellRendererParams) => void;
}
/**
 * The AG Select Renderer element.
 * @public
 * @tagname %%prefix%%-select-renderer
 */
export declare class SelectRenderer extends FoundationElement implements ICellRendererComp {
    params: SelectCellRendererParams;
    value: string;
    init(params: SelectCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: SelectCellRendererParams): boolean;
    selectionChanged: (e: any) => void;
}
/**
 * The AG Select Renderer Styles.
 * @public
 */
export declare const agSelectRendererStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed Select template.
 * @param designSystem - The design system prefix to use. Defaults to 'foundation'.
 * @returns A Select component template prefixed with the correct design system.
 * @public
 */
export declare const getSelectRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<any, any>;
/**
 * A function that returns a Foundation Select Renderer registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-select-renderer\>
 */
export declare const foundationAgSelectRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}, typeof SelectRenderer>;
export {};
//# sourceMappingURL=select.renderer.d.ts.map